DCHK32(3)

SYNOPSIS
SUBROUTINE DCHK32 (SNAME, EPS, THRESH, NOUT, KPRINT, FATAL, NIDIM, $ IDIM, NKB, KB, NINC, INC, NMAX, INCMAX, A, AA, AS, X, XX, XS, $ XT, G, Z)

NAME
dchk32 - Test DTRMV, DTBMV, DTPMV, DTRSV, DTBSV and DTPSV.

LIBRARY
SLATEC (BLAS)

KEYWORDS
BLAS, QUICK CHECK SERVICE ROUTINE

AUTHOR
Du Croz, J. (NAG) Hanson, R. J. (SNLA)

DESCRIPTION
Quick check for DTRMV, DTBMV, DTPMV, DTRSV, DTBSV and DTPSV. Auxiliary routine for test program for Level 2 Blas.

REFERENCES
(NONE)

ROUTINES CALLED
DMAKE2, DMVCH, DTBMV, DTBSV, DTPMV, DTPSV, DTRMV, DTRSV, LDE, LDERES, NUMXER

REVISION HISTORY (YYMMDD)
870810 DATE WRITTEN
910619 Modified to meet SLATEC code and prologue standards. (BKS)